Bug 109567 - ifup complains: "Cannot get driver information: Operation not supported"
Summary: ifup complains: "Cannot get driver information: Operation not supported"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-09 18:31 UTC by djschaap
Modified: 2014-03-17 02:40 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2003-11-10 17:01:54 UTC


Attachments (Terms of Use)
Possible Patch (496 bytes, patch)
2003-11-09 18:35 UTC, djschaap
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:328 normal SHIPPED_LIVE Updated initscripts package fixes memory support check 2003-11-06 05:00:00 UTC

Description djschaap 2003-11-09 18:31:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Running "ifup eth1" succeeds, but generates a "Cannot get driver
information: Operation not supported" message.  This message is from
ethtool, called from ifup line 212.  It only occurs on my eth1, which
is a Dell TrueMobile mini-PCI card using the orinoco_cs driver.

Version-Release number of selected component (if applicable):
initscripts-7.42-1

How reproducible:
Always

Steps to Reproduce:
Running "ethtool -i eth1" manually generates the same error: "Cannot
get driver information: Operation not supported".


Additional info:

Comment 1 djschaap 2003-11-09 18:35:24 UTC
Created attachment 95852 [details]
Possible Patch

The man page for ethtool suggests not all options are supported by all drivers.
 The attached patch suppresses error messages from ethtool.

Comment 2 Bill Nottingham 2003-11-10 17:01:54 UTC
Already fixed in CVS, will be fixed in future builds.

Comment 3 Jay Turner 2004-01-16 17:19:07 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-328.html



Note You need to log in before you can comment on or make changes to this bug.